
#include <container_int_vector.h>


container_int_vector::container_int_vector(){}
container_int_vector::container_int_vector(const container_int_vector& cont)
{int_list=cont.int_list;}
container_int_vector::~container_int_vector(){destroy();}

int container_int_vector::destroy()
{int_list.resize(0);return 0;}


const container_int_vector& container_int_vector::operator=(const container_int_vector& cont)
{
  destroy();
  for(int k=0;k<cont.size();k++)
    int_list.push_back(cont[k]);
  return *this;
}
bool operator==(const container_int_vector& cont_1,const container_int_vector& cont_2)
{
  if(cont_1.size()!=cont_2.size())
    return 0;
  for(int k=0;k<cont_1.size();k++)
    if(cont_1[k]!=cont_2[k])
      return 0;
  return 1;
}
bool operator!=(const container_int_vector& cont_1,const container_int_vector& cont_2)
{
  if(cont_1==cont_2)
    return 0;
  return 1;
}
  
int container_int_vector::size() const
{return int_list.size();}


const int_vector& container_int_vector::operator[](int k_int_vector) const
{
  if(k_int_vector<0 || k_int_vector>=size())
    {printf("Error in (const) container_int_vector[%d], size=%d\n",k_int_vector,size());exit(-1);}
  return int_list[k_int_vector];
}
int_vector& container_int_vector::operator[](int k_int_vector)
{
  if(k_int_vector<0 || k_int_vector>=size())
    {printf("Error in container_int_vector[%d], size=%d\n",k_int_vector,size());exit(-1);}
  return int_list[k_int_vector];
}

int container_int_vector::add(const int_vector& to_add)
{int_list.push_back(to_add);return 0;}

